# Class GenotypeConcordanceDetailMetrics

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.vcf.GenotypeConcordanceDetailMetrics

@DocumentedFeature(groupName="Metrics", summary="Metrics") public class GenotypeConcordanceDetailMetrics extends htsjdk.samtools.metrics.MetricBase
Class that holds detail metrics about Genotype Concordance

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`CALL_SAMPLE`
The name of the 'call' sample
`GenotypeConcordanceStates.CallState`
`CALL_STATE`
The state of the 'call' sample (i.e.
`String`
`CONTINGENCY_VALUES`
The list of contingency table values (TP, TN, FP, FN) that are deduced from the truth/call state comparison, given the reference.
`long`
`COUNT`
The number of events of type TRUTH_STATE and CALL_STATE for the EVENT_TYPE and SAMPLEs
`String`
`TRUTH_SAMPLE`
The name of the 'truth' sample
`GenotypeConcordanceStates.TruthState`
`TRUTH_STATE`
The state of the 'truth' sample (i.e.
`htsjdk.variant.variantcontext.VariantContext.Type`
`VARIANT_TYPE`
The type of the event (i.e.

## Constructor Summary

Constructors
Constructor
Description
`GenotypeConcordanceDetailMetrics()`

## Method Summary

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### VARIANT_TYPE

public htsjdk.variant.variantcontext.VariantContext.Type VARIANT_TYPE
The type of the event (i.e. either SNP or INDEL)

### TRUTH_SAMPLE

public String TRUTH_SAMPLE
The name of the 'truth' sample

### CALL_SAMPLE

public String CALL_SAMPLE
The name of the 'call' sample

### TRUTH_STATE

public GenotypeConcordanceStates.TruthState TRUTH_STATE
The state of the 'truth' sample (i.e. HOM_REF, HET_REF_VAR1, HET_VAR1_VAR2...)

### CALL_STATE

public GenotypeConcordanceStates.CallState CALL_STATE
The state of the 'call' sample (i.e. HOM_REF, HET_REF_VAR1...)

### COUNT

public long COUNT
The number of events of type TRUTH_STATE and CALL_STATE for the EVENT_TYPE and SAMPLEs

### CONTINGENCY_VALUES

public String CONTINGENCY_VALUES
The list of contingency table values (TP, TN, FP, FN) that are deduced from the truth/call state comparison, given the reference. In general, we are comparing two sets of alleles. Therefore, we can have zero or more contingency table values represented in one comparison. For example, if the truthset is a heterozygous call with both alleles non-reference (HET_VAR1_VAR2), and the callset is a heterozygous call with both alleles non-reference with one of the alternate alleles matching an alternate allele in the callset, we would have a true positive, false positive, and false negative. The true positive is from the matching alternate alleles, the false positive is the alternate allele found in the callset but not found in the truthset, and the false negative is the alternate in the truthset not found in the callset. We also include a true negative in cases where the reference allele is found in both the truthset and callset.

## Constructor Details

### GenotypeConcordanceDetailMetrics

public GenotypeConcordanceDetailMetrics()